
@import '../../styles/variables';
@import '../../styles/mixins';

.cui-toast {
  .toast-icon {
    margin-right: $cui-toast-padding * 0.5;
    color: $cui-toast-icon-color;
  }

  &.toast-success .toast-icon {
    color: cui-color(success, text);
  }

  &.toast-error .toast-icon {
    color: cui-color(error, text);
  }

  .toast-text {
    flex: 1 1 auto;
    @include cui-break-word();
  }

  .cui-toast-title {
    @include cui-text(m, 600);
    margin: 0 0 .25rem;
  }

  .cui-toast-message {
    @include cui-text(m);
  }

  .toast-close {
    margin: -0.375rem -0.375rem -0.375rem $cui-toast-padding * 0.5;
  }

  .toast-link {
    cursor: pointer;
    display: inline-block;
  }

  .toast-link:hover {
    text-decoration: underline;
  }

  .cui-link-primary {
    margin: 0;
    padding: 0;
    height: auto;
    width: auto;
  }

  .toast-message {
    margin-bottom: .5rem;
  }
}

.toast-container .cui-toast {
  display: flex;
  width: $cui-toast-width;
  margin: 0 0 1rem;
  padding: $cui-toast-padding;
  border-radius: $cui-toast-border-radius;
  background-color: $cui-toast-bg-color;
  color: $cui-toast-text-color;
  will-change: transform;
  @include cui-elevation(1);
  @include cui-elevation-transition();

  &:last-child {
    margin-bottom: 0;
  }

  &:hover {
    @include cui-elevation(2);
  }
}

.toast-bottom-left {
  bottom: 1rem;
  left: 1rem;
}
